#
# spec file for package adbfs
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           adbfs
%define _name adbfs-rootless
Version:        0.0.git.f141c1c
Release:        0
Summary:        FUSE Filesystem for Android Debugger
License:        BSD 3-Clause
Group:          System/GUI/GNOME
Url:            https://github.com/spion/adbfs-rootless
Source:         %{_name}-%{version}.tar.xz

BuildRequires:  fuse-devel
BuildRequires:  gcc-c++
BuildRequires:  pkg-config

Requires:       android-tools
#BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This utility creates a FUSE file system based on Android Debugging Bridge
interface.

This variant of adbfs workous even WITHOUT having root access (busybox)
on your phone!

%prep
%setup -q -n %{_name}-%{version}
sed -i s/CXXFLAGS=/CXXFLAGS+=/ Makefile

%build
make %{?_smp_mflags} CXXFLAGS="-O2 %{optflags} -D_FILE_OFFSET_BITS=64"

%install
mkdir -p %{buildroot}%{_bindir}
install adbfs %{buildroot}%{_bindir}/

%files
%defattr(-,root,root)
%doc README.md license
%{_bindir}/adbfs

%changelog
